DELETE /api/risk_score/engine/dangerously_delete_data

Spaces method and path for this operation:

delete /s/{space_id}/api/risk_score/engine/dangerously_delete_data

Refer to Spaces for more information.

Cleaning up the the Risk Engine by removing the indices, mapping and transforms

Responses

  • 200 application/json

    Successful response

    Hide response attribute Show response attribute object
    • cleanup_successful boolean
  • 400 application/json

    Task manager is unavailable

    Hide response attributes Show response attributes object
    • message string Required
    • status_code integer Required

      Minimum value is 400.

  • default application/json

    Unexpected error

    Hide response attributes Show response attributes object
    • cleanup_successful boolean Required
    • errors array[object] Required
      Hide errors attributes Show errors attributes object
      • error string Required
      • seq integer Required
DELETE /api/risk_score/engine/dangerously_delete_data
curl \
 --request DELETE 'https://<KIBANA_URL>/api/risk_score/engine/dangerously_delete_data' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "cleanup_successful": true
}
Response examples (400)
{
  "message": "Task Manager is unavailable, but is required by the risk engine. Please enable the taskManager plugin and try again.",
  "status_code": 400
}
Response examples (default)
{
  "cleanup_successful": false,
  "errors": [
    {
      "error": "Risk engine is disabled or deleted already.",
      "seq": 1
    }
  ]
}